=== Games - Complete/2011 Kerkerkruip/kerkerkruip GitHub version/packages/debian/kerkerkruip/debian/changelog ===
kerkerkruip (9.0.1) unstable; urgency=low

  * Added a screen reader mode - note Gargoyle is not screen reader compatible
  * Fixed a couple of bugs in the windows code

 -- Dannii Willis <curiousdannii@gmail.com>  Sat, 19 Apr 2014 21:33:55 +1000
 

kerkerkruip (9) unstable; urgency=low

  Version 9 has been released! Highlights include:

  * New original theme music by Wade Clarke
  * A reworked reaction system adds a new layer of tactical depth
  * Sacrificing powers to the gods allows you to gain religious benefits,
    including divine interventions
  * Throw grenades into adjacent rooms, but beware of the arms of Morpheus!
  * Face Israfel, a terrible angel that can split into two smaller beings for
    increased combat effectiveness before reuniting to heal

 -- Dannii Willis <curiousdannii@gmail.com>  Sun, 13 Apr 2014 09:24:17 +1000
