=== Games - Complete/2011 Kerkerkruip/kerkerkruip GitHub version/packages/debian/kerkerkruip/debian/control ===
Source: kerkerkruip
Maintainer: Dannii Willis <curiousdannii@gmail.com>
Section: games
Priority: extra
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.9.3
Homepage: http://kerkerkruip.org
Vcs-Git: https://github.com/i7/kerkerkruip.git

Package: kerkerkruip
Architecture: all
Depends:  ${misc:Depends}, gargoyle (>= 2011) | gargoyle-free (>= 2011), fonts-linuxlibertine | ttf-linux-libertine
Description: Interactive fiction roguelike game
 Kerkerkruip is a short-form roguelike in the interactive fiction medium,
 featuring meaningful tactical and strategic depth, innovative game play, zero
 grinding, and a sword & sorcery setting that does not rehash tired clichés.
